@charset "utf-8";

/* ↓↓↓ common ↓↓↓ */
:root {
  --text-sans: "Noto Sans JP", sans-serif;
  --text-zen: "Zen Maru Gothic", sans-serif;
  --text-kaku: "Zen Kaku Gothic New", sans-serif;
  --text-dongle: "Dongle", sans-serif;
  --color-orange: #ff7f0b;
}

body {
  position: relative;
  font-size: 1.6rem;
  font-family: var(--text-sans);
}

.-noscroll {
  overflow: hidden;
}

.-pc {
  display: block;
}

.-sp {
  display: none;
}

@media (max-width: 768px) {
  .-pc {
    display: none;
  }

  .-sp {
    display: block;
  }
}

.-wb {
  display: inline-block;
}

main {
  position: relative;
  z-index: 1;
}

/* ↑↑↑ common ↑↑↑ */

/* ↓↓↓ header ↓↓↓ */
header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  padding-inline: min(32px, 2.5vw) min(48px, 3.75vw);
  height: fit-content;
  display: flex;
  z-index: 5;
  @media (max-width: 768px) {
    padding-inline: 15px;
  }
}
header .logo-wrap {
  display: block;
  position: relative;
  width: min(128px, 10vw);
  height: min(136px, 10.625vw);
  padding: min(23px, 1.7968749999999998vw) 0 0 min(8px, 0.625vw);
  margin-top: min(32px, 2.5vw);
  background-color: #fff;
  border-bottom-right-radius: 30px;
  z-index: 1;
  @media (max-width: 768px) {
    width: 77px;
    height: 82px;
    padding: 14px 0 0 10px;
    margin-top: 19px;
    border-bottom-right-radius: 20px;
  }
}
header .logo-wrap .logo {
  display: block;
  width: min(99px, 7.734375vw);
  @media (max-width: 768px) {
    width: 59px;
  }
}
@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
header .logo-wrap .deco {
  position: absolute;
  top: min(10px, 0.78125vw);
  left: min(18px, 1.40625vw);
  width: min(80px, 6.25vw);
  animation: spin 10s linear infinite;
  @media (max-width: 768px) {
    top: 7px;
    left: 15px;
    width: 48px;
  }
}
@media (min-width: 769px) {
  header .logo-wrap:hover .deco {
    animation-play-state: paused;
  }
}
header .company {
  display: block;
  position: relative;
  margin: min(57px, 4.453125vw) 0 0 min(35px, 2.734375vw);
  width: min(115px, 8.984375cqw);
  height: fit-content;
  z-index: 1;
  @media (max-width: 768px) {
    margin: 35px 0 0 25px;
    width: 69px;
    height: fit-content;
  }
}
header .navi {
  margin: min(56px, 4.375vw) 0 0 auto;
  width: max-content;
  @media (max-width: 768px) {
    position: absolute;
    top: 0;
    left: 0;
    height: 100dvh;
    width: 100%;
    padding: 20px 16px;
    margin: 0;
    background-color: #fff;
    opacity: 0;
    visibility: hidden;
    transition: opacity 300ms ease, visibility 0ms 300ms ease;
  }
}
header .navi.-active {
  opacity: 1;
  visibility: visible;
  transition: opacity 300ms ease, visibility 0ms ease;
}
header .navi .list {
  position: relative;
  display: flex;
  gap: min(8px, 0.625vw);
  @media (max-width: 768px) {
    width: 100%;
    height: 100%;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 16px;
    background-color: rgba(255, 127, 11, 0.12);
    border-radius: 20px;
  }
  @media (max-width: 768px) and (max-height: 520px) {
    justify-content: flex-start;
    padding-block: 94px 20px;
    overflow-y: scroll;
  }
  &::before, &::after {
    display: none;
    content: '';
    position: absolute;
    top: 0;
    left: min(128px, 10vw);
    width: min(33px, 2.578125vw);
    height: min(33px, 2.578125vw);
    background: url(../img/common/corner-deco.png) no-repeat;
    background-size: cover;
    @media (max-width: 768px) {
      display: block;
      width: 20px;
      height: 20px;
      left: 76px;
    }
  }
  &::after {
    top: min(136px, 10.625vw);
    left: 0;
    @media (max-width: 768px) {
      top: 81px;
      left: 0;
    }
  }
}
header .navi .list .item {
  width: fit-content;
}
header .navi .list .item a {
  display: block;
  font-size: min(1.4rem, 1.09375vw);
  font-weight: 600;
  letter-spacing: 0.04em;
  padding: min(15px, 1.171875vw) min(20px, 1.5625vw);
  background-color: #fff;
  border-radius: 9999px;
  color: var(--color-orange);
  transition: background-color 300ms ease, color 300ms ease;
  @media (max-width: 768px) {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 176px;
    height: 48px;
    padding: 0;
    font-size: 1.3rem;
  }
}
@media (min-width: 769px) {
  header .navi .list .item:hover a {
    background-color: var(--color-orange);
    color: #fff;
  }
}
header .navi .list .item.-open a {
  background-color: var(--color-orange);
  color: #fff;
} 
header .menu-btn {
  display: none; 
  @media (max-width: 768px) {
    position: relative;
    z-index: 1;
    display: block;
    width: 32px;
    height: 32px;
    margin: 28px 14px 0 auto;
    background-color: var(--color-orange);
    border-radius: 50%;
    cursor: pointer;
    span {
      position: absolute;
      translate: -50% 0;
      left: 50%;
      width: 11px;
      height: 1px;
      border-radius: 2px;
      background-color: #fff;
      transition: width 300ms ease, rotate 300ms ease, top 300ms ease;
      &:nth-of-type(1) {
        top: 11px;
      }
      &:nth-of-type(2) {
        top: 50%;
      }
      &:nth-of-type(3) {
        top: 21px;
      }
    }
  }
}
header .menu-btn.-active {
  span {
    width: 13px;
    &:nth-of-type(1) {
      top: 50%;
      rotate: 40deg;
    }
    &:nth-of-type(2) {
      display: none;
    }
    &:nth-of-type(3) {
      top: 50%;
      rotate: -40deg;
    }
  }
}
/* ↑↑↑ header ↑↑↑ */
/* ↓↓↓ side-menu ↓↓↓ */
.side-menu {
  position: absolute;
  top: min(136px, 10.625vw);
  right: 0;
  z-index: 10;
  @media (max-width: 768px) {
    top: 125px;
  }
  @media (max-height: 520px) {
    top: 50px;
  }
  @media (max-height: 520px) and (max-width: 768px) {
    top: 75px;
  }
}
.side-menu .list {
  display: flex;
  flex-direction: column;
  gap: min(8px, 0.625vw);
  @media (max-width: 768px) {
    gap: 6px;
  }
}
.side-menu .list .item {
  width: fit-content;
}
.side-menu .list .item a {
  width: min(56px, 4.375vw);
  aspect-ratio: 56/144;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: min(1.4rem, 1.09375vw);
  letter-spacing: 0.04em;
  font-weight: 600;
  writing-mode: vertical-lr;
  color: #fff;
  background-color: var(--color-orange);
  border: 1px solid var(--color-orange);
  border-radius: 16px 0 0 16px;
  box-sizing: border-box;
  transition: background-color 300ms ease, color 300ms ease;
  @media (max-width: 768px) {
    width: 51px;
    aspect-ratio: 51/115;
    font-size: 1.2rem;
    border-radius: 13px 0 0 13px;
    padding-right: 8px;
  }
}
@media (min-width: 769px) {
  .side-menu .list .item:hover a {
    background-color: #fff;
    color: var(--color-orange);
  }
}
/* ↑↑↑ side-menu ↑↑↑ */

/* ↓↓↓ footer ↓↓↓ */
footer {
  width: 100%;
}
footer .inner {
  max-width: 1280px;
  margin: 0 auto;
  container-type: inline-size;
  @media (max-width: 768px) {
    max-width: 100%;
  }
}
footer .inner .content {
  position: relative;
  display: flex;
  width: 87.5cqw;
  background-color: var(--color-orange);
  padding: 3.125cqw;
  border-radius: 24px;
  margin: 0 auto;
  @media (max-width: 768px) {
    flex-direction: column;
    width: 100%;
    padding: 24px 20px 25px;
    border-radius: 20px;
  }
}
footer .inner .content .logo-wrap {
  width: 11.953125cqw;
  padding-top: 0.78125cqw;
  @media (max-width: 768px) {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 222px;
    padding: 0;
    margin: 0 auto;
  }
}
footer .inner .content .logo-wrap .logo {
  display: block;
  width: 10cqw;
  margin: 0 auto;
  @media (max-width: 768px) {
    width: 84px;
    margin: 0;
  }
}
footer .inner .content .logo-wrap .company {
  display: block;
  width: 11.953125cqw;
  margin-top: 3.515625cqw;
  @media (max-width: 768px) {
    width: 115px;
    margin-top: 0;
  }
}
footer .inner .content .info-wrap {
  position: relative;
  margin-left: 5.078125cqw;
  @media (max-width: 768px) {
    margin: 20px 0 0;
  }
}
footer .inner .content .info-wrap .tel {
  font-size: 5.234375cqw;
  font-family: var(--text-dongle);
  font-weight: 700;
  line-height: 0.7;
  letter-spacing: 0;
  color: #fff;
  @media (max-width: 768px) {
    width: 222px;
    font-size: 4.3rem;
    margin: 0 auto;
  }
}
footer .inner .content .info-wrap .tel a {
  text-decoration-line: underline;
  text-decoration-color: #fff;
  text-decoration-style: solid;
  text-decoration-thickness: 2px;
  transition: opacity 300ms ease;
  @media (min-width: 769px) {
    &:hover {
      opacity: 0.7;
    }
  }
}
footer .inner .content .info-wrap .address {
  font-size: 1.25cqw;
  font-family: var(--text-kaku);
  font-weight: 500;
  color: #fff;
  letter-spacing: 0;
  @media (max-width: 768px) {
    width: 222px;
    font-size: 1.2rem;
    margin: 0 auto;
  }
}
footer .inner .content .info-wrap .category {
  position: absolute;
  translate: 0 -50%;
  top: 50%;
  right: -23.4375cqw;
  font-size: 1.25cqw;
  line-height: 1.8125;
  font-weight: 500;
  font-family: var(--text-kaku);
  color: #fff;
  letter-spacing: 0;
  @media (max-width: 768px) {
    position: relative;
    translate: 0;
    top: unset;
    right: unset;
    width: 222px;
    font-size: 1.2rem;
    margin: 10px auto 0;
  }
}
footer .inner .content .info-wrap .schedule {
  display: block;
  width: 40.625cqw;
  margin-top: 1.25cqw;
  @media (max-width: 768px) {
    width: 336px;
    margin: 20px auto 0;
  }
}
footer .inner .copyright {
  display: block;
  width: fit-content;
  font-family: var(--text-kaku);
  font-size: 1.2rem;
  font-weight: 500;
  letter-spacing: 0;
  margin: 50px auto;
  @media (max-width: 768px) {
    font-size: 1.0rem;
    margin: 32px auto;
  }
}
/* ↑↑↑ footer ↑↑↑ */
@media (min-width: 1281px) {}

@media (max-width: 1280px) {}

@media (max-width: 768px) {}

@media (max-width: 480px) {}

@media (max-width: 375px) {}